//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vJAXB 2.1.10 in JDK 6 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2012.02.01 at 03:58:26 PM CET 
//

package net.ihe.gazelle.app.validationservice.adapter.reportmodel;

import javax.xml.bind.annotation.*;
import java.math.BigInteger;

/**
 * <p>
 * Java class for anonymous complex type.
 *
 * <p>
 * The following schema fragment specifies the expected content contained within
 * this class.
 *
 * <pre>
 * &lt;complexType&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence minOccurs="0"&gt;
 *         &lt;element ref="{}Test"/&gt;
 *         &lt;element ref="{}Location"/&gt;
 *         &lt;element ref="{}Description"/&gt;
 *       &lt;/sequence&gt;
 *       &lt;attribute name="endColumn" type="{http://www.w3.org/2001/XMLSchema}integer" /&gt;
 *       &lt;attribute name="endLine" type="{http://www.w3.org/2001/XMLSchema}integer" /&gt;
 *       &lt;attribute name="locationFile" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" /&gt;
 *       &lt;attribute name="message" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" /&gt;
 *       &lt;attribute name="startColumn" type="{http://www.w3.org/2001/XMLSchema}integer" /&gt;
 *       &lt;attribute name="startLine" type="{http://www.w3.org/2001/XMLSchema}integer" /&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "Warning")
public class Warning extends Notification {

    @XmlAttribute
    protected BigInteger endColumn;
    @XmlAttribute
    protected BigInteger endLine;
    @XmlAttribute
    @XmlSchemaType(name = "anySimpleType")
    protected String locationFile;
    @XmlAttribute
    @XmlSchemaType(name = "anySimpleType")
    protected String message;
    @XmlAttribute
    protected BigInteger startColumn;
    @XmlAttribute
    protected BigInteger startLine;

    /**
     * Gets the value of the endColumn property.
     *
     * @return possible object is {@link BigInteger }
     */
    public BigInteger getEndColumn() {
        return endColumn;
    }

    /**
     * Sets the value of the endColumn property.
     *
     * @param value allowed object is {@link BigInteger }
     */
    public void setEndColumn(BigInteger value) {
        this.endColumn = value;
    }

    /**
     * Gets the value of the endLine property.
     *
     * @return possible object is {@link BigInteger }
     */
    public BigInteger getEndLine() {
        return endLine;
    }

    /**
     * Sets the value of the endLine property.
     *
     * @param value allowed object is {@link BigInteger }
     */
    public void setEndLine(BigInteger value) {
        this.endLine = value;
    }

    /**
     * Gets the value of the locationFile property.
     *
     * @return possible object is {@link String }
     */
    public String getLocationFile() {
        return locationFile;
    }

    /**
     * Sets the value of the locationFile property.
     *
     * @param value allowed object is {@link String }
     */
    public void setLocationFile(String value) {
        this.locationFile = value;
    }

    /**
     * Gets the value of the message property.
     *
     * @return possible object is {@link String }
     */
    public String getMessage() {
        return message;
    }

    /**
     * Sets the value of the message property.
     *
     * @param value allowed object is {@link String }
     */
    public void setMessage(String value) {
        this.message = value;
    }

    /**
     * Gets the value of the startColumn property.
     *
     * @return possible object is {@link BigInteger }
     */
    public BigInteger getStartColumn() {
        return startColumn;
    }

    /**
     * Sets the value of the startColumn property.
     *
     * @param value allowed object is {@link BigInteger }
     */
    public void setStartColumn(BigInteger value) {
        this.startColumn = value;
    }

    /**
     * Gets the value of the startLine property.
     *
     * @return possible object is {@link BigInteger }
     */
    public BigInteger getStartLine() {
        return startLine;
    }

    /**
     * Sets the value of the startLine property.
     *
     * @param value allowed object is {@link BigInteger }
     */
    public void setStartLine(BigInteger value) {
        this.startLine = value;
    }

}
